

import Vue from 'vue'
import Router from 'vue-router'
import Course from '../components/Course.vue'//课程
import ClockIn from '../components/ClockIn.vue'//打卡
import StrongPhoto from '../components/StrongPhoto.vue'//精彩集锦
import UserCenter from '../components/UserCenter.vue'//我的页面
import Questionnaire from '../components/Questionnaire.vue'
import SetUser from '../components/userPages/SetUser.vue'//修改个人信息
// // import Login from '../Login.vue'


Vue.use(Router)



export default new Router({

  mode: "history",


  routes: [
    //培训通知
    {
      path: '/',
      name: 'Course',
      component: Course,
      meta: {
        requireAuth: true //是否登陆
      }


    },
    //精彩集锦
    {
      path: '/StrongPhoto',
      name: 'StrongPhoto',
      component: StrongPhoto,
      meta: {
        requireAuth: true //是否登陆
      }

    },
    //个人中心
    {
      path: '/UserCenter',
      name: 'UserCenter',
      component: UserCenter,
      meta: {
        requireAuth: false //是否登陆
      }
    },

    // 修改个人信息
    {
      path: '/SetUser',
      name: 'SetUser',
      component: SetUser,
      meta: {
        requireAuth: true //是否登陆
      }
    },
    //问卷页面
    {
      path: '/Questionnaire',
      name: 'Questionnaire',
      component: Questionnaire,
      meta: {
        requireAuth: true //是否登陆
      }
    },
    //打卡页面
    {
      path: '/ClockIn',
      name: 'ClockIn',
      component: ClockIn,
      meta: {
        requireAuth: true //是否登陆
      }
    },




  ]
})

