import axios from "axios";
import store from '../store'

// import { getQueryString } from ".";

export default (url, options) => {
  const { params, header, ...leftOptions } = options || {}
  // const queryStr = getQueryString(params)
  const { code, token } = store.state.user

  const authToken = token

  const tokenHeader = authToken ? { 'X-Authorization-JWT': authToken } : {}

  const nwHeader = {
    ...(header || {}),
    ...tokenHeader,

  }

  return new Promise((resolve, reject) => {
    axios.request({
      ...leftOptions,
      url: url,
      header: nwHeader,
      success: (res) => {
        const { code, message, data, token } = res.data
        if (token || data?.token) {
          axios.setStorage({ key: 'token', data: token || data?.token })
        }
        if (code === 1000) {
          resolve(data)
        } else {
          console.error(res)
          reject(message?.indexOf('java') > -1 ? '系统内部错误' : message)
        }
      },
      fail: (err) => {
        const message = err.message || err.errMsg || err

        reject(message)
      }
    })
  })

}